## sphinx-theme-builder 0.2.0b2

=== docs/requirements.txt ===
sphinx
furo
myst-parser
sphinx-copybutton
sphinx-inline-tabs

=== tests/requirements.txt ===
pytest
pytest-clarity
pytest-cov
pytest-pspec

=== debian/changelog ===
sphinx-theme-builder (0.2.0b2-5) unstable; urgency=medium

  * Team upload.
  * Add the click-8.2 patch to fix the test suite. Closes: #1098629

 -- Peter Pentchev <roam@debian.org>  Sat, 22 Feb 2025 20:26:28 +0200

sphinx-theme-builder (0.2.0b2-4) unstable; urgency=medium

  * Team upload.
  * Do not generate a runtime dependency on python3-pkg-resources.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 00:43:37 +0100

sphinx-theme-builder (0.2.0b2-3) unstable; urgency=medium

  * Remove python3-packaging on B-D. (Closes: #1083780)
  * Bump std-ver to 4.7.0

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 07 Oct 2024 23:12:00 +0800

sphinx-theme-builder (0.2.0b2-2) unstable; urgency=medium

  * Source-only upload.

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 22 Apr 2024 17:31:07 +0800

sphinx-theme-builder (0.2.0b2-1) unstable; urgency=low

  * Initial release. (Closes: #1015231)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 27 Mar 2024 17:34:34 +0800

=== debian/control ===
Source: sphinx-theme-builder
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               python3-flit-scm,
               flit,
               dh-sequence-python3,
               python3-pyproject-metadata,
               python3-rich-click,
               nodeenv,
               python3-setuptools,
               python3-all,
               pybuild-plugin-pyproject,
               python3-sphinx-autobuild <!nocheck>,
               python3-click <!nocheck>,
               python3-pytest <!nocheck>
Standards-Version: 4.7.0
Homepage: https://github.com/pradyunsg/sphinx-theme-builder
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-theme-builder.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-theme-builder

Package: python3-sphinx-theme-builder
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-build, python3-click, python3-sphinx-autobuild
Description: tool for authoring Sphinx themes with a simple (opinionated) workflow
 streamline the Sphinx theme development workflow, by building upon existing
 standardised tools.
 .
 sphinx themes builder has the following features:
    * simplified packaging experience
    * simplified JavaScript tooling setup
    * development server, with rebuild-on-save and automagical browser reloading
    * consistent repository structure across themes
 .
 This package installs the library and `stb` helper script for Python 3.

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/pradyunsg/sphinx-theme-builder/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
